<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns="http://maven.apache.org/POM/4.0.0"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <groupId>se.kth.md.aide</groupId>
  <artifactId>adaptor-shacl</artifactId>
  <version>0.0.2-SNAPSHOT</version>
  <packaging>war</packaging>

  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <maven.compiler.source>1.8</maven.compiler.source>
    <maven.compiler.target>1.8</maven.compiler.target>
    <version.jetty>9.4.0.v20161208</version.jetty>
    <version.lyo>2.3.0-SNAPSHOT</version.lyo>
    <version.shaclex>0.0.60</version.shaclex>
    <jena.version>3.0.1</jena.version>
  </properties>

  <dependencies>
    <!--SHACL-->
    <dependency>
      <groupId>es.weso</groupId>
      <artifactId>shaclex_2.12</artifactId>
      <version>${version.shaclex}</version>
    </dependency>
    <!--Lyo-->
    <dependency>
      <groupId>org.eclipse.lyo.oslc4j.core</groupId>
      <artifactId>oslc4j-core</artifactId>
      <version>${version.lyo}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.lyo.oslc4j.core</groupId>
      <artifactId>oslc4j-jena-provider</artifactId>
      <version>${version.lyo}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.lyo.oslc4j.core</groupId>
      <artifactId>oslc4j-wink</artifactId>
      <version>${version.lyo}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.lyo.oslc4j.core</groupId>
      <artifactId>oslc4j-json4j-provider</artifactId>
      <version>${version.lyo}</version>
    </dependency>
    <!--Common libs-->
    <dependency>
      <groupId>commons-io</groupId>
      <artifactId>commons-io</artifactId>
      <version>2.5</version>
    </dependency>
    <!--Provided-->
    <dependency>
      <groupId>javax.servlet</groupId>
      <artifactId>javax.servlet-api</artifactId>
      <version>3.1.0</version>
      <scope>provided</scope>
    </dependency>
  </dependencies>

  <dependencyManagement>
    <dependencies>
      <!-- Needed because only 3.0.x versions are almost 2.x compatible,
      but later versions are internally incompatible -->
      <dependency>
        <groupId>org.apache.jena</groupId>
        <artifactId>jena-core</artifactId>
        <version>${jena.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.jena</groupId>
        <artifactId>jena-arq</artifactId>
        <version>${jena.version}</version>
      </dependency>
    </dependencies>
  </dependencyManagement>

  <build>
    <plugins>
      <plugin>
        <groupId>org.eclipse.jetty</groupId>
        <artifactId>jetty-maven-plugin</artifactId>
        <version>${version.jetty}</version>
        <configuration>
          <webAppConfig>
            <contextPath>/SampleAdaptor</contextPath>
          </webAppConfig>
          <reload>automatic</reload>
          <scanIntervalSeconds>5</scanIntervalSeconds>
          <systemProperties>
            <systemProperty>
              <name>jetty.port</name>
              <value>8080</value>
            </systemProperty>
          </systemProperties>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-javadoc-plugin</artifactId>
        <executions>
          <execution>
            <goals>
              <goal>jar</goal>
            </goals>
          </execution>
        </executions>
        <configuration>
          <additionalparam>-Xdoclint:none</additionalparam>
        </configuration>
      </plugin>
    </plugins>
  </build>

  <reporting>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-javadoc-plugin</artifactId>
        <version>2.10.4</version>
        <configuration>
          <show>public</show>
        </configuration>
      </plugin>
    </plugins>
  </reporting>

  <repositories>
    <repository>
      <id>lyo-releases</id>
      <name>lyo-releases repository</name>
      <url>https://repo.eclipse.org/content/repositories/lyo-releases/</url>
    </repository>
    <repository>
      <id>maven-legacy</id>
      <url>https://repository.jboss.org/nexus/content/groups/public/</url>
    </repository>
    <repository>
      <id>labra</id>
      <url>https://dl.bintray.com/labra/maven</url>
    </repository>
  </repositories>

</project>
